Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/admin/external-integrations/$PROVIDER_CODE \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/admin/external-integrations/${providerCode}` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/admin/external-integrations/{provider_code}" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"providerCode": "WATCHMAN",
"purpose": "EVENT_MONITORING",
"authKind": "SECRET_FIELDS",
"connectionLabel": null ,
"connectionDetail": null ,
"declaredCredentials": [],
"credentials": [],
"category": "SANCTIONS",
"displayName": "Moov Watchman sanctions screening",
"status": "ACTIVE",
"settingsVersion": 1 ,
"expectedVersion": 3 ,
"credentialState": "SIMULATED",
"simulated": true ,
"simulationNotice": "An in-process simulator answers this provider. No vendor is contacted and no coverage claim is supported.",
"lastConnectionTestAt": "2026-09-08T14: 22 :31Z",
"lastConnectionTestStatus": "PASSED",
"lastConnectionTestDetail": "The in-process simulator answered. No vendor was contacted.",
"lastSuccessAt": "2026-09-08T14: 22 :31Z",
"settings": {
"scheduleKind": "DAILY",
"dailyAtLocalTime": "02: 00 ",
"minMatch": 0.85 ,
"searchLimit": 100 ,
"listFreshnessHours": 24
}
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}